Lattice Builder Manual Software Package for Constructing Rank-1 Lattices

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Friends Modules Pages
Public Types | Public Member Functions | List of all members
LatBuilder::MeritFilterList< LAT >::Seq< MERITSEQ > Class Template Reference

Output sequence from the filters. More...

`#include <MeritFilterList.h>`

Inherits LatBuilder::BridgeSeq< Seq< MERITSEQ >, MERITSEQ, Real, BridgeIteratorCached >.

## Public Types
typedef self_type::Base | Base
typedef self_type::value_type | value_type
typedef self_type::size_type | size_type
Public Types inherited from LatBuilder::BridgeSeq< Seq< MERITSEQ >, MERITSEQ, Real, BridgeIteratorCached >
typedef BridgeSeq< Seq < MERITSEQ >, MERITSEQ, Real, BridgeIteratorCached > | BridgeSeq_
typedef MERITSEQ | Base
typedef Real | value_type
typedef Base::size_type | size_type
typedef BridgeIteratorCached < Seq< MERITSEQ > > | const_iterator

## Public Member Functions
| Seq (const MeritFilterList &parent, Base base)
| Constructor. More...
value_type | element (const typename Base::const_iterator &it) const
| Computes and returns the output value of the filters for the basic merit value pointed to by `it`.
Public Member Functions inherited from LatBuilder::BridgeSeq< Seq< MERITSEQ >, MERITSEQ, Real, BridgeIteratorCached >
| BridgeSeq (Base base=Base())
| Constructor. More...
Base & | base ()
| Returns the base sequence.
const Base & | base () const
void | setBase (Base b)
| Changes the base sequence to `b`.
const_iterator | begin () const
| Returns an iterator pointing to the first element in the sequence.
const_iterator | end () const
| Returns an iterator pointing past the last element in the sequence.

## Detailed Description

### template<LatType LAT>
template<class MERITSEQ>
class LatBuilder::MeritFilterList< LAT >::Seq< MERITSEQ >

Output sequence from the filters.

## Constructor & Destructor Documentation

template<LatType LAT>
template<class MERITSEQ >

LatBuilder::MeritFilterList< LAT >::Seq< MERITSEQ >::Seq | ( | const MeritFilterList & | parent,
|  | Base | base
| ) |  |
| inline

Constructor.

Parameters

  parent | Reference to the parent. Kept as a reference, no copy made.
  base | Original sequence of merit values.

The documentation for this class was generated from the following file:

- latbuilder/include/latbuilder/MeritFilterList.h